<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE schema>
<schema>
  <table name="kunena_announcement">
    <field primary_key="yes" name="id" type="int(3)" null="0" extra="auto_increment"/>
    <field name="title" type="tinytext" null="0"/>
    <field name="sdescription" type="text" null="0"/>
    <field name="description" type="text" null="0"/>
    <field name="created" type="datetime" null="0" default="0000-00-00 00:00:00"/>
    <field name="published" type="tinyint(1)" null="0" default="0"/>
    <field name="ordering" type="tinyint(4)" null="0" default="0"/>
    <field name="showdate" type="tinyint(1)" null="0" default="1"/>
    <key name="PRIMARY" unique="1" columns="id"/>
  </table>
  <table name="kunena_attachments">
    <field primary_key="yes" name="id" type="int(11)" null="0" extra="auto_increment"/>
    <field name="mesid" type="int(11)" null="0" default="0"/>
    <field name="userid" type="int(11)" null="0" default="0"/>
    <field name="hash" type="char(32)" null="1"/>
    <field name="size" type="int(11)" null="1"/>
    <field name="folder" type="varchar(255)" null="0"/>
    <field name="filetype" type="varchar(20)" null="0"/>
    <field name="filename" type="varchar(255)" null="0"/>
    <key name="PRIMARY" unique="1" columns="id"/>
    <key name="mesid" columns="mesid"/>
    <key name="userid" columns="userid"/>
    <key name="hash" columns="hash"/>
    <key name="filename" columns="filename"/>
  </table>
  <table name="kunena_categories">
    <field primary_key="yes" name="id" type="int(11)" null="0" extra="auto_increment"/>
    <field name="parent" type="int(11)" null="1" default="0"/>
    <field name="name" type="tinytext" null="1"/>
    <field name="cat_emoticon" type="tinyint(4)" null="0" default="0"/>
    <field name="locked" type="tinyint(4)" null="0" default="0"/>
    <field name="alert_admin" type="tinyint(4)" null="0" default="0"/>
    <field name="moderated" type="tinyint(4)" null="0" default="1"/>
    <field name="moderators" type="varchar(15)" null="1"/>
    <field name="accesstype" type="varchar(20)" null="0" default="none" />
    <field name="access" type="int(11)" null="0" default="0" />
    <field name="pub_access" type="tinyint(4)" null="1" default="1"/>
    <field name="pub_recurse" type="tinyint(4)" null="1" default="1"/>
    <field name="admin_access" type="tinyint(4)" null="1" default="0"/>
    <field name="admin_recurse" type="tinyint(4)" null="1" default="1"/>
    <field name="ordering" type="smallint(6)" null="0" default="0"/>
    <field name="future2" type="int(11)" null="1" default="0"/>
    <field name="published" type="tinyint(4)" null="0" default="0"/>
    <field name="checked_out" type="tinyint(4)" null="0" default="0"/>
    <field name="checked_out_time" type="datetime" null="0" default="0000-00-00 00:00:00"/>
    <field name="review" type="tinyint(4)" null="0" default="0"/>
    <field name="allow_anonymous" type="tinyint(4)" null="0" default="0"/>
    <field name="post_anonymous" type="tinyint(4)" null="0" default="0"/>
    <field name="hits" type="int(11)" null="0" default="0"/>
    <field name="description" type="text" null="0"/>
    <field name="headerdesc" type="text" null="0"/>
    <field name="class_sfx" type="varchar(20)" null="0"/>
    <field name="allow_polls" type="tinyint(4)" null="0" default="0"/>
    <field name="id_last_msg" type="int(10)" null="0" default="0"/>
    <field name="numTopics" type="mediumint(8)" null="0" default="0"/>
    <field name="numPosts" type="mediumint(8)" null="0" default="0"/>
    <field name="time_last_msg" type="int(11)" null="1"/>
    <key name="PRIMARY" unique="1" columns="id"/>
    <key name="parent" columns="parent"/>
    <key name="published_pubaccess_id" columns="published,pub_access,id"/>
    <key name="msg_id" columns="id_last_msg"/>
    <key name="category_access" columns="accesstype,access"/>
  </table>
  <table name="kunena_config">
    <field primary_key="yes" name="id" type="int(11)" null="0" default="0"/>
    <field name="board_title" type="text" null="1"/>
    <field name="email" type="text" null="1"/>
    <field name="board_offline" type="int(11)" null="1"/>
    <field name="board_ofset" type="text" null="1"/>
    <field name="offline_message" type="text" null="1"/>
    <field name="enablerss" type="int(11)" null="1"/>
    <field name="enablepdf" type="int(11)" null="1"/>
    <field name="threads_per_page" type="int(11)" null="1"/>
    <field name="messages_per_page" type="int(11)" null="1"/>
    <field name="messages_per_page_search" type="int(11)" null="1"/>
    <field name="showhistory" type="int(11)" null="1"/>
    <field name="historylimit" type="int(11)" null="1"/>
    <field name="shownew" type="int(11)" null="1"/>
    <field name="jmambot" type="int(11)" null="1"/>
    <field name="disemoticons" type="int(11)" null="1"/>
    <field name="template" type="text" null="1"/>
    <field name="showannouncement" type="int(11)" null="1"/>
    <field name="avataroncat" type="int(11)" null="1"/>
    <field name="catimagepath" type="text" null="1"/>
    <field name="showchildcaticon" type="int(11)" null="1"/>
    <field name="annmodid" type="text" null="1"/>
    <field name="rtewidth" type="int(11)" null="1"/>
    <field name="rteheight" type="int(11)" null="1"/>
    <field name="enableforumjump" type="int(11)" null="1"/>
    <field name="reportmsg" type="int(11)" null="1"/>
    <field name="username" type="int(11)" null="1"/>
    <field name="askemail" type="int(11)" null="1"/>
    <field name="showemail" type="int(11)" null="1"/>
    <field name="showuserstats" type="int(11)" null="1"/>
    <field name="showkarma" type="int(11)" null="1"/>
    <field name="useredit" type="int(11)" null="1"/>
    <field name="useredittime" type="int(11)" null="1"/>
    <field name="useredittimegrace" type="int(11)" null="1"/>
    <field name="editmarkup" type="int(11)" null="1"/>
    <field name="allowsubscriptions" type="int(11)" null="1"/>
    <field name="subscriptionschecked" type="int(11)" null="1"/>
    <field name="allowfavorites" type="int(11)" null="1"/>
    <field name="maxsubject" type="int(11)" null="1"/>
    <field name="maxsig" type="int(11)" null="1"/>
    <field name="regonly" type="int(11)" null="1"/>
    <field name="changename" type="int(11)" null="1"/>
    <field name="pubwrite" type="int(11)" null="1"/>
    <field name="floodprotection" type="int(11)" null="1"/>
    <field name="mailmod" type="int(11)" null="1"/>
    <field name="mailadmin" type="int(11)" null="1"/>
    <field name="captcha" type="int(11)" null="1"/>
    <field name="mailfull" type="int(11)" null="1"/>
    <field name="allowavatar" type="int(11)" null="1"/>
    <field name="allowavatarupload" type="int(11)" null="1"/>
    <field name="allowavatargallery" type="int(11)" null="1"/>
    <field name="avatarquality" type="int(11)" null="1"/>
    <field name="avatarsize" type="int(11)" null="1"/>
    <field name="allowimageupload" type="int(11)" null="1"/>
    <field name="allowimageregupload" type="int(11)" null="1"/>
    <field name="imageheight" type="int(11)" null="1"/>
    <field name="imagewidth" type="int(11)" null="1"/>
    <field name="imagesize" type="int(11)" null="1"/>
    <field name="allowfileupload" type="int(11)" null="1"/>
    <field name="allowfileregupload" type="int(11)" null="1"/>
    <field name="filetypes" type="text" null="1"/>
    <field name="filesize" type="int(11)" null="1"/>
    <field name="showranking" type="int(11)" null="1"/>
    <field name="rankimages" type="int(11)" null="1"/>
    <field name="avatar_src" type="text" null="1"/>
    <field name="fb_profile" type="text" null="1"/>
    <field name="pm_component" type="text" null="1"/>
    <field name="userlist_rows" type="int(11)" null="1"/>
    <field name="userlist_online" type="int(11)" null="1"/>
    <field name="userlist_avatar" type="int(11)" null="1"/>
    <field name="userlist_name" type="int(11)" null="1"/>
    <field name="userlist_username" type="int(11)" null="1"/>
    <field name="userlist_posts" type="int(11)" null="1"/>
    <field name="userlist_karma" type="int(11)" null="1"/>
    <field name="userlist_email" type="int(11)" null="1"/>
    <field name="userlist_usertype" type="int(11)" null="1"/>
    <field name="userlist_joindate" type="int(11)" null="1"/>
    <field name="userlist_lastvisitdate" type="int(11)" null="1"/>
    <field name="userlist_userhits" type="int(11)" null="1"/>
    <field name="latestcategory" type="text" null="1"/>
    <field name="showstats" type="int(11)" null="1"/>
    <field name="showwhoisonline" type="int(11)" null="1"/>
    <field name="showgenstats" type="int(11)" null="1"/>
    <field name="showpopuserstats" type="int(11)" null="1"/>
    <field name="popusercount" type="int(11)" null="1"/>
    <field name="showpopsubjectstats" type="int(11)" null="1"/>
    <field name="popsubjectcount" type="int(11)" null="1"/>
    <field name="usernamechange" type="int(11)" null="1"/>
    <field name="rules_infb" type="int(11)" null="1"/>
    <field name="rules_cid" type="int(11)" null="1"/>
    <field name="help_infb" type="int(11)" null="1"/>
    <field name="help_cid" type="int(11)" null="1"/>
    <field name="showspoilertag" type="int(11)" null="1"/>
    <field name="showvideotag" type="int(11)" null="1"/>
    <field name="showebaytag" type="int(11)" null="1"/>
    <field name="trimlongurls" type="int(11)" null="1"/>
    <field name="trimlongurlsfront" type="int(11)" null="1"/>
    <field name="trimlongurlsback" type="int(11)" null="1"/>
    <field name="autoembedyoutube" type="int(11)" null="1"/>
    <field name="autoembedebay" type="int(11)" null="1"/>
    <field name="ebaylanguagecode" type="text" null="1"/>
    <field name="fbsessiontimeout" type="int(11)" null="1"/>
    <field name="highlightcode" type="int(11)" null="1"/>
    <field name="rss_type" type="text" null="1"/>
    <field name="rss_timelimit" type="text" null="1"/>
    <field name="rss_limit" type="int(11)" null="1"/>
    <field name="rss_included_categories" type="text" null="1"/>
    <field name="rss_excluded_categories" type="text" null="1"/>
    <field name="rss_specification" type="text" null="1"/>
    <field name="rss_allow_html" type="int(11)" null="1"/>
    <field name="rss_author_format" type="text" null="1"/>
    <field name="rss_author_in_title" type="int(11)" null="1"/>
    <field name="rss_word_count" type="text" null="1"/>
    <field name="rss_old_titles" type="int(11)" null="1"/>
    <field name="rss_cache" type="int(11)" null="1"/>
    <field name="fbdefaultpage" type="text" null="1"/>
    <field name="default_sort" type="text" null="1"/>
    <field name="alphauserpointsnumchars" type="int(11)" null="1"/>
    <field name="sef" type="int(11)" null="1"/>
    <field name="sefcats" type="int(11)" null="1"/>
    <field name="sefutf8" type="int(11)" null="1"/>
    <field name="showimgforguest" type="int(11)" null="1"/>
    <field name="showfileforguest" type="int(11)" null="1"/>
    <field name="pollnboptions" type="int(11)" null="1"/>
    <field name="pollallowvoteone" type="int(11)" null="1"/>
    <field name="pollenabled" type="int(11)" null="1"/>
    <field name="poppollscount" type="int(11)" null="1"/>
    <field name="showpoppollstats" type="int(11)" null="1"/>
    <field name="polltimebtvotes" type="text" null="1"/>
    <field name="pollnbvotesbyuser" type="int(11)" null="1"/>
    <field name="pollresultsuserslist" type="int(11)" null="1"/>
    <field name="maxpersotext" type="int(11)" null="1"/>
    <field name="ordering_system" type="text" null="1"/>
    <field name="post_dateformat" type="text" null="1"/>
    <field name="post_dateformat_hover" type="text" null="1"/>
    <field name="hide_ip" type="int(11)" null="1"/>
    <field name="js_actstr_integration" type="int(11)" null="1"/>
    <field name="imagetypes" type="text" null="1"/>
    <field name="checkmimetypes" type="int(11)" null="1"/>
    <field name="imagemimetypes" type="text" null="1"/>
    <field name="imagequality" type="int(11)" null="1"/>
    <field name="thumbheight" type="int(11)" null="1"/>
    <field name="thumbwidth" type="int(11)" null="1"/>
    <field name="hideuserprofileinfo" type="text" null="1"/>
    <field name="integration_access" type="text" null="1"/>
    <field name="integration_login" type="text" null="1"/>
    <field name="integration_avatar" type="text" null="1"/>
    <field name="integration_profile" type="text" null="1"/>
    <field name="integration_private" type="text" null="1"/>
    <field name="integration_activity" type="text" null="1"/>
    <field name="boxghostmessage" type="int(11)" null="1"/>
    <field name="userdeletetmessage" type="int(11)" null="1"/>
    <field name="latestcategory_in" type="int(11)" null="1"/>
    <field name="topicicons" type="int(11)" null="1"/>
    <field name="onlineusers" type="int(11)" null="1"/>
    <field name="debug" type="int(11)" null="1"/>
    <field name="catsautosubscribed" type="int(11)" null="1"/>
    <field name="showbannedreason" type="int(11)" null="1"/>
    <field name="version_check" type="int(11)" null="1"/>
    <field name="showthankyou" type="int(11)" null="1"/>
    <field name="showpopthankyoustats" type="int(11)" null="1"/>
    <field name="popthankscount" type="int(11)" null="1"/>
    <field name="mod_see_deleted" type="int(11)" null="1"/>
    <field name="bbcode_img_secure" type="text" null="1"/>
    <field name="listcat_show_moderators" type="int(11)" null="1"/>
    <field name="lightbox" type="int(11)" null="1"/>
    <field name="activity_limit" type="int(11)" null="1"/>
    <field name="show_list_time" type="int(11)" null="1"/>
    <field name="show_session_type" type="int(11)" null="1"/>
    <field name="show_session_starttime" type="int(11)" null="1"/>
    <field name="userlist_allowed" type="int(11)" null="1"/>
    <field name="userlist_count_users" type="int(11)" null="1"/>
    <field name="enable_threaded_layouts" type="int(11)" null="1"/>
    <key name="PRIMARY" unique="1" columns="id"/>
  </table>
  <table name="kunena_favorites">
    <field primary_key="yes" name="thread" type="int(11)" null="0" default="0"/>
    <field primary_key="yes" name="userid" type="int(11)" null="0" default="0"/>
    <key name="thread" unique="1" columns="thread,userid"/>
    <key name="userid" columns="userid"/>
  </table>
  <table name="kunena_groups">
    <field primary_key="yes" name="id" type="int(4)" null="0" extra="auto_increment"/>
    <field name="title" type="varchar(255)" null="1"/>
    <key name="PRIMARY" unique="1" columns="id"/>
  </table>
  <table name="kunena_messages">
    <field primary_key="yes" name="id" type="int(11)" null="0" extra="auto_increment"/>
    <field name="parent" type="int(11)" null="1" default="0"/>
    <field name="thread" type="int(11)" null="1" default="0"/>
    <field name="catid" type="int(11)" null="0" default="0"/>
    <field name="name" type="tinytext" null="1"/>
    <field name="userid" type="int(11)" null="0" default="0"/>
    <field name="email" type="tinytext" null="1"/>
    <field name="subject" type="tinytext" null="1"/>
    <field name="time" type="int(11)" null="0" default="0"/>
    <field name="ip" type="varchar(15)" null="1"/>
    <field name="topic_emoticon" type="int(11)" null="0" default="0"/>
    <field name="locked" type="tinyint(4)" null="0" default="0"/>
    <field name="hold" type="tinyint(4)" null="0" default="0"/>
    <field name="ordering" type="int(11)" null="1" default="0"/>
    <field name="hits" type="int(11)" null="1" default="0"/>
    <field name="moved" type="tinyint(4)" null="1" default="0"/>
    <field name="modified_by" type="int(7)" null="1"/>
    <field name="modified_time" type="int(11)" null="1"/>
    <field name="modified_reason" type="tinytext" null="1"/>
    <key name="PRIMARY" unique="1" columns="id"/>
    <key name="thread" columns="thread"/>
    <key name="ip" columns="ip"/>
    <key name="userid" columns="userid"/>
    <key name="time" columns="time"/>
    <key name="locked" columns="locked"/>
    <key name="hold_time" columns="hold,time"/>
    <key name="parent_hits" columns="parent,hits"/>
    <key name="catid_parent" columns="catid,parent"/>
  </table>
  <table name="kunena_messages_text">
    <field primary_key="yes" name="mesid" type="int(11)" null="0" default="0"/>
    <field name="message" type="text" null="0"/>
    <key name="PRIMARY" unique="1" columns="mesid"/>
  </table>
  <table name="kunena_moderation">
    <field primary_key="yes" name="catid" type="int(11)" null="0" default="0"/>
    <field primary_key="yes" name="userid" type="int(11)" null="0" default="0"/>
    <field name="future1" type="tinyint(4)" null="1" default="0"/>
    <field name="future2" type="int(11)" null="1" default="0"/>
    <key name="PRIMARY" unique="1" columns="catid,userid"/>
  </table>
  <table name="kunena_polls">
    <field primary_key="yes" name="id" type="int(11)" null="0" extra="auto_increment"/>
    <field name="title" type="varchar(100)" null="0"/>
    <field name="threadid" type="int(11)" null="0"/>
    <field name="polltimetolive" type="datetime" null="1"/>
    <key name="PRIMARY" unique="1" columns="id"/>
    <key name="threadid" columns="threadid"/>
  </table>
  <table name="kunena_polls_options">
    <field primary_key="yes" name="id" type="int(11)" null="0" extra="auto_increment"/>
    <field name="pollid" type="int(11)" null="1"/>
    <field name="text" type="varchar(100)" null="1"/>
    <field name="votes" type="int(11)" null="1"/>
    <key name="PRIMARY" unique="1" columns="id"/>
    <key name="pollid" columns="pollid"/>
  </table>
  <table name="kunena_polls_users">
    <field name="pollid" type="int(11)" null="1"/>
    <field name="userid" type="int(11)" null="1"/>
    <field name="votes" type="int(11)" null="1"/>
    <field name="lasttime" type="timestamp" null="0" extra="on update CURRENT_TIMESTAMP"/>
    <field name="lastvote" type="int(11)" null="1"/>
    <key name="pollid" unique="1" columns="pollid,userid"/>
  </table>
  <table name="kunena_ranks">
    <field primary_key="yes" name="rank_id" type="mediumint(8) unsigned" null="0" extra="auto_increment"/>
    <field name="rank_title" type="varchar(255)" null="0" default=""/>
    <field name="rank_min" type="mediumint(8) unsigned" null="0" default="0"/>
    <field name="rank_special" type="tinyint(1) unsigned" null="0" default="0"/>
    <field name="rank_image" type="varchar(255)" null="0" default=""/>
    <key name="PRIMARY" unique="1" columns="rank_id"/>
  </table>
  <table name="kunena_sessions">
    <field primary_key="yes" name="userid" type="int(11)" null="0" default="0"/>
    <field name="allowed" type="text" null="1"/>
    <field name="lasttime" type="int(11)" null="0" default="0"/>
    <field name="readtopics" type="text" null="1"/>
    <field name="currvisit" type="int(11)" null="0" default="0"/>
    <key name="PRIMARY" unique="1" columns="userid"/>
    <key name="currvisit" columns="currvisit"/>
  </table>
  <table name="kunena_smileys">
    <field primary_key="yes" name="id" type="int(4)" null="0" extra="auto_increment"/>
    <field name="code" type="varchar(12)" null="0" default=""/>
    <field name="location" type="varchar(50)" null="0" default=""/>
    <field name="greylocation" type="varchar(60)" null="0" default=""/>
    <field name="emoticonbar" type="tinyint(4)" null="0" default="0"/>
    <key name="PRIMARY" unique="1" columns="id"/>
  </table>
  <table name="kunena_subscriptions">
    <field primary_key="yes" name="thread" type="int(11)" null="0" default="0"/>
    <field primary_key="yes" name="userid" type="int(11)" null="0" default="0"/>
    <field name="future1" type="int(11)" null="1" default="0"/>
    <key name="thread" unique="1" columns="thread,userid"/>
    <key name="userid" columns="userid"/>
  </table>
  <table name="kunena_subscriptions_categories">
    <field primary_key="yes" name="catid" type="int(11)" null="0" default="0"/>
    <field primary_key="yes" name="userid" type="int(11)" null="0" default="0"/>
    <field name="future1" type="int(11)" null="1" default="0"/>
    <key name="thread" unique="1" columns="catid,userid"/>
    <key name="userid" columns="userid"/>
  </table>
  <table name="kunena_thankyou">
    <field primary_key="yes" name="postid" type="int(11)" null="0"/>
    <field primary_key="yes" name="userid" type="int(11)" null="0"/>
    <field name="targetuserid" type="int(11)" null="0"/>
    <field name="time" type="timestamp" null="0"/>
    <key name="postid" unique="1" columns="postid,userid"/>
    <key name="userid" columns="userid"/>
    <key name="targetuserid" columns="targetuserid"/>
  </table>
  <table name="kunena_users">
    <field primary_key="yes" name="userid" type="int(11)" null="0" default="0"/>
    <field name="view" type="varchar(8)" null="0" default="flat"/>
    <field name="signature" type="text" null="1"/>
    <field name="moderator" type="int(11)" null="1" default="0"/>
    <field name="banned" type="datetime" null="1"/>
    <field name="ordering" type="int(11)" null="1" default="0"/>
    <field name="posts" type="int(11)" null="1" default="0"/>
    <field name="avatar" type="varchar(50)" null="1"/>
    <field name="karma" type="int(11)" null="1" default="0"/>
    <field name="karma_time" type="int(11)" null="1" default="0"/>
    <field name="group_id" type="int(4)" null="1" default="1"/>
    <field name="uhits" type="int(11)" null="1" default="0"/>
    <field name="personalText" type="tinytext" null="1"/>
    <field name="gender" type="tinyint(4)" null="0" default="0"/>
    <field name="birthdate" type="date" null="0" default="0001-01-01"/>
    <field name="location" type="varchar(50)" null="1"/>
    <field name="ICQ" type="varchar(50)" null="1"/>
    <field name="AIM" type="varchar(50)" null="1"/>
    <field name="YIM" type="varchar(50)" null="1"/>
    <field name="MSN" type="varchar(50)" null="1"/>
    <field name="SKYPE" type="varchar(50)" null="1"/>
    <field name="TWITTER" type="varchar(50)" null="1"/>
    <field name="FACEBOOK" type="varchar(50)" null="1"/>
    <field name="GTALK" type="varchar(50)" null="1"/>
    <field name="MYSPACE" type="varchar(50)" null="1"/>
    <field name="LINKEDIN" type="varchar(50)" null="1"/>
    <field name="DELICIOUS" type="varchar(50)" null="1"/>
    <field name="FRIENDFEED" type="varchar(50)" null="1"/>
    <field name="DIGG" type="varchar(50)" null="1"/>
    <field name="BLOGSPOT" type="varchar(50)" null="1"/>
    <field name="FLICKR" type="varchar(50)" null="1"/>
    <field name="BEBO" type="varchar(50)" null="1"/>
    <field name="websitename" type="varchar(50)" null="1"/>
    <field name="websiteurl" type="varchar(50)" null="1"/>
    <field name="rank" type="tinyint(4)" null="0" default="0"/>
    <field name="hideEmail" type="tinyint(1)" null="0" default="1"/>
    <field name="showOnline" type="tinyint(1)" null="0" default="1"/>
    <key name="PRIMARY" unique="1" columns="userid"/>
    <key name="group_id" columns="group_id"/>
    <key name="posts" columns="posts"/>
    <key name="uhits" columns="uhits"/>
    <key name="banned" columns="banned"/>
    <key name="moderator" columns="moderator"/>
  </table>
  <table name="kunena_users_banned">
    <field primary_key="yes" name="id" type="int(11)" null="0" extra="auto_increment"/>
    <field name="userid" type="int(11)" null="1"/>
    <field name="ip" type="varchar(128)" null="1"/>
    <field name="blocked" type="tinyint(4)" null="0" default="0"/>
    <field name="expiration" type="datetime" null="1"/>
    <field name="created_by" type="int(11)" null="0"/>
    <field name="created_time" type="datetime" null="0"/>
    <field name="reason_private" type="text" null="1"/>
    <field name="reason_public" type="text" null="1"/>
    <field name="modified_by" type="int(11)" null="1"/>
    <field name="modified_time" type="datetime" null="1"/>
    <field name="comments" type="text" null="1"/>
    <field name="params" type="text" null="1"/>
    <key name="PRIMARY" unique="1" columns="id"/>
    <key name="userid" columns="userid"/>
    <key name="ip" columns="ip"/>
    <key name="expiration" columns="expiration"/>
  </table>
  <table name="kunena_version">
    <field primary_key="yes" name="id" type="int(11)" null="0" extra="auto_increment"/>
    <field name="version" type="varchar(20)" null="0"/>
    <field name="versiondate" type="date" null="0"/>
    <field name="installdate" type="date" null="0"/>
    <field name="build" type="varchar(20)" null="0"/>
    <field name="versionname" type="varchar(40)" null="1"/>
    <field name="state" type="text" null="0"/>
    <key name="PRIMARY" unique="1" columns="id"/>
  </table>
  <table name="kunena_whoisonline">
    <field primary_key="yes" name="id" type="int(11)" null="0" extra="auto_increment"/>
    <field name="userid" type="int(11)" null="0" default="0"/>
    <field name="time" type="varchar(14)" null="0" default="0"/>
    <field name="item" type="int(6)" null="1" default="0"/>
    <field name="what" type="varchar(255)" null="1" default="0"/>
    <field name="func" type="varchar(50)" null="1"/>
    <field name="do" type="varchar(50)" null="1"/>
    <field name="task" type="varchar(50)" null="1"/>
    <field name="link" type="text" null="1"/>
    <field name="userip" type="varchar(20)" null="0" default=""/>
    <field name="user" type="tinyint(2)" null="0" default="0"/>
    <key name="PRIMARY" unique="1" columns="id"/>
    <key name="userid_userip" columns="userid,userip"/>
    <key name="func" columns="func"/>
    <key name="time" columns="time"/>
  </table>
</schema>